summaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorvarac <varacanero@zeromail.org>2012-10-12 22:07:19 +0200
committervarac <varacanero@zeromail.org>2012-10-12 22:07:19 +0200
commit3e11ce4c43282448b032f9ad8e31667fb4b85ccb (patch)
tree3bc95d3d627d00fbf496b157ec3a3593821b1879 /deploy.sh
parentb8f727635254453503bd1d9b22e20d69cc23630a (diff)
parent0eff2049fa8d846dffee3236824b8bc42e581467 (diff)
Merge branch 'feature/eip' into develop
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh21
1 files changed, 15 insertions, 6 deletions
diff --git a/deploy.sh b/deploy.sh
index 6a582637..d5bca7d0 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -5,19 +5,28 @@
PUPPET_ENV='--confdir=puppet'
install_prerequisites () {
- apt-get update
- apt-get install puppet git
+ PACKAGES='git puppet ruby-hiera-puppet'
+ dpkg -l $PACKAGES > /dev/null 2>&1
+ if [ ! $? -eq 0 ]
+ then
+ apt-get update
+ apt-get install $PACKAGES
+ fi
# lsb is needed for a first puppet run
puppet apply $PUPPET_ENV --execute 'include lsb'
- git submodule init
- git submodule update
}
# main
# commented for testing purposes
-install_prerequisites
+# this should be run once on every host on setup
+#install_prerequisites
-puppet apply $PUPPET_ENV puppet/manifests/site.pp $@
+# keep repository up to date
+git pull
+git submodule init
+git submodule update
+# run puppet without irritating deprecation warnings
+puppet apply $PUPPET_ENV puppet/manifests/site.pp $@ | grep -v 'warning:.*is deprecated'